Bug 718949 - [te_IN] Lohit font has different glyph shape for * character (used for password characters)
[te_IN] Lohit font has different glyph shape for * character (used for passwo...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lohit-telugu-fonts (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-05 06:10 EDT by A S Alam
Modified: 2013-07-02 21:08 EDT (History)
4 users (show)

See Also:
Fixed In Version: lohit-gujarati-fonts-2.5.1-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-09 21:05:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screen-shot for Telugu * sign (35.32 KB, image/png)
2011-07-05 06:10 EDT, A S Alam
no flags Details
All Lohit font sign compare with other fonts sign (80.83 KB, image/png)
2011-07-05 06:11 EDT, A S Alam
no flags Details
Libreoffice file to compare (10.49 KB, text/odt)
2011-07-05 06:13 EDT, A S Alam
no flags Details
Fedora 16 Screenshot with LibreOffice (164.87 KB, image/png)
2012-02-10 00:03 EST, A S Alam
no flags Details

  None (edit)
Description A S Alam 2011-07-05 06:10:36 EDT
Created attachment 511284 [details]
Screen-shot for Telugu * sign

Description of problem:
Lohit font Telugu has different glyph shape for * character (used for password characters). if used in LibreOffice, it looks BOLD, but other place (like password as system-config-language, it looks dark and big)

Version-Release number of selected component (if applicable):
lohit-telugu-fonts-2.4.5-11.fc15.noarch

How reproducible:


Steps to Reproduce:
1. login in to Telugu desktop as Non-Root user
2. run system-config-language
3. enter password, check * size and shape
  
Actual results:
it is bold and dark

Expected results:
it should be same as normal size


Additional info:
Comment 1 A S Alam 2011-07-05 06:11:33 EDT
Created attachment 511285 [details]
All Lohit font sign compare with other fonts sign
Comment 2 A S Alam 2011-07-05 06:13:07 EDT
Created attachment 511287 [details]
Libreoffice file to compare
Comment 4 A S Alam 2011-07-05 07:00:09 EDT
Tamil bug #629824
Comment 5 Pravin Satpute 2011-09-19 06:42:33 EDT
Just checked it with Unicode chart, U+002A it looks fine as per http://www.unicode.org/charts/PDF/U0000.pdf
Comment 6 Pravin Satpute 2012-02-09 13:34:15 EST
is this still happening with F16?
Lohit telugu does not have latin characters, thats why it is coming from default system Latin font.
Comment 7 A S Alam 2012-02-10 00:03:55 EST
Created attachment 560765 [details]
Fedora 16 Screenshot with LibreOffice
Comment 8 A S Alam 2012-02-10 00:06:47 EST
yes lohit telugu is ok with English, but now * shape for other languages changed, when you compare with screenshot of Fedora 15 Libreoffice. I am not sure, what changed, but when selecting font selection is Lohit-* (respective language) (Red Mark in comment #7 screenshot.
Comment 9 Fedora Update System 2012-03-01 06:02:50 EST
lohit-oriya-fonts-2.5.1-1.fc17,lohit-kannada-fonts-2.5.1-1.fc17,lohit-punjabi-fonts-2.5.1-1.fc17,lohit-telugu-fonts-2.5.1-1.fc17,lohit-malayalam-fonts-2.5.1-1.fc17,lohit-gujarati-fonts-2.5.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/lohit-oriya-fonts-2.5.1-1.fc17,lohit-kannada-fonts-2.5.1-1.fc17,lohit-punjabi-fonts-2.5.1-1.fc17,lohit-telugu-fonts-2.5.1-1.fc17,lohit-malayalam-fonts-2.5.1-1.fc17,lohit-gujarati-fonts-2.5.1-1.fc17
Comment 10 Fedora Update System 2012-03-01 06:06:34 EST
lohit-gujarati-fonts-2.5.1-1.fc16,lohit-malayalam-fonts-2.5.1-1.fc16,lohit-telugu-fonts-2.5.1-1.fc16,lohit-punjabi-fonts-2.5.1-1.fc16,lohit-kannada-fonts-2.5.1-1.fc16,lohit-oriya-fonts-2.5.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/lohit-gujarati-fonts-2.5.1-1.fc16,lohit-malayalam-fonts-2.5.1-1.fc16,lohit-telugu-fonts-2.5.1-1.fc16,lohit-punjabi-fonts-2.5.1-1.fc16,lohit-kannada-fonts-2.5.1-1.fc16,lohit-oriya-fonts-2.5.1-1.fc16
Comment 11 Fedora Update System 2012-03-01 19:59:19 EST
Package lohit-oriya-fonts-2.5.1-1.fc17, lohit-kannada-fonts-2.5.1-1.fc17, lohit-punjabi-fonts-2.5.1-1.fc17, lohit-telugu-fonts-2.5.1-1.fc17, lohit-malayalam-fonts-2.5.1-1.fc17, lohit-gujarati-fonts-2.5.1-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lohit-oriya-fonts-2.5.1-1.fc17 lohit-kannada-fonts-2.5.1-1.fc17 lohit-punjabi-fonts-2.5.1-1.fc17 lohit-telugu-fonts-2.5.1-1.fc17 lohit-malayalam-fonts-2.5.1-1.fc17 lohit-gujarati-fonts-2.5.1-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2820/lohit-oriya-fonts-2.5.1-1.fc17,lohit-kannada-fonts-2.5.1-1.fc17,lohit-punjabi-fonts-2.5.1-1.fc17,lohit-telugu-fonts-2.5.1-1.fc17,lohit-malayalam-fonts-2.5.1-1.fc17,lohit-gujarati-fonts-2.5.1-1.fc17
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2012-03-09 21:05:15 EST
lohit-oriya-fonts-2.5.1-1.fc17, lohit-kannada-fonts-2.5.1-1.fc17, lohit-punjabi-fonts-2.5.1-1.fc17, lohit-telugu-fonts-2.5.1-1.fc17, lohit-malayalam-fonts-2.5.1-1.fc17, lohit-gujarati-fonts-2.5.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2012-03-23 20:41:04 EDT
lohit-gujarati-fonts-2.5.1-1.fc16, lohit-malayalam-fonts-2.5.1-1.fc16, lohit-telugu-fonts-2.5.1-1.fc16, lohit-punjabi-fonts-2.5.1-1.fc16, lohit-kannada-fonts-2.5.1-1.fc16, lohit-oriya-fonts-2.5.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.